import { IView as IView$1 } from './gridview.js';
export { IViewSize } from './gridview.js';

declare const enum Direction {
    Up = 0,
    Down = 1,
    Left = 2,
    Right = 3
}
/**
 * The interface to implement for views within a {@link Grid}.
 */
interface IView extends IView$1 {
    /**
     * The preferred width for when the user double clicks a sash
     * adjacent to this view.
     */
    readonly preferredWidth?: number;
    /**
     * The preferred height for when the user double clicks a sash
     * adjacent to this view.
     */
    readonly preferredHeight?: number;
}
interface ISerializableView extends IView {
    toJSON(): object;
}

export { Direction, type ISerializableView, type IView };
