import { ISingleEditOperation } from './editOperation.js';
import { Position } from './position.js';
import { Range } from './range.js';
import { TextLength } from './textLength.js';

declare class SingleTextEdit {
    readonly range: Range;
    readonly text: string;
    constructor(range: Range, text: string);
    get isEmpty(): boolean;
    static equals(first: SingleTextEdit, second: SingleTextEdit): boolean;
    toSingleEditOperation(): ISingleEditOperation;
}
declare abstract class AbstractText {
    abstract getValueOfRange(range: Range): string;
    abstract readonly length: TextLength;
    get endPositionExclusive(): Position;
    getValue(): string;
}

export { AbstractText, SingleTextEdit };
